AUTOMAKE_OPTIONS = 1.5

bin_PROGRAMS = adesklets
adesklets_SOURCES = main.c adesklets.c \
		    xwindow.c xmenu.c \
		    cfgfile.c cfg_parser.y cfg_scanner.l \
		    command.c event.c variable.c \
                    vector.c vector_free.c tree.c error.c \
		    adesklets.h xwindow.h xmenu.h \
	            cfgfile.h cfg_parser.h \
		    command.h command_enum.h event.h variable.h \
		    tree.h vector.h vector_free.h \
		    error.h types.h

adesklets_CFLAGS = @X_CFLAGS@ @IMLIB2_CFLAGS@ @FONTCONFIG_CFLAGS@
adesklets_LDFLAGS = @X_LIBS@ @IMLIB2_LIBS@ \
                    @READLINE_LIBS@ @FONTCONFIG_LIBS@

dist_pkgdata_SCRIPTS = adesklets_debug.sh
EXTRA_DIST=command_enum.sh

AM_YFLAGS=-pcfg -d

main.c : command_enum.h
command_enum.h : command.c
	./command_enum.sh > $@
